From: Matt Turner <mattst88@gentoo.org>
To: gentoo-catalyst@lists.gentoo.org
Cc: Matt Turner <mattst88@gentoo.org>
Subject: [gentoo-catalyst] [PATCH 6/9] targets: Remove || exit 1 from run_merge invocations
Date: Fri, 15 May 2020 23:53:14 -0700 [thread overview]
Message-ID: <20200516065317.2678080-6-mattst88@gentoo.org> (raw)
In-Reply-To: <20200516065317.2678080-1-mattst88@gentoo.org>
run_merge itself executes exit 1 if it fails, so this is dead code.
Signed-off-by: Matt Turner <mattst88@gentoo.org>
---
targets/stage2/preclean-chroot.sh | 6 +++---
targets/stage3/preclean-chroot.sh | 4 ++--
targets/support/chroot-functions.sh | 8 ++++----
targets/support/kmerge.sh | 6 +++---
4 files changed, 12 insertions(+), 12 deletions(-)
diff --git a/targets/stage2/preclean-chroot.sh b/targets/stage2/preclean-chroot.sh
index 3b693d81..84b267ec 100755
--- a/targets/stage2/preclean-chroot.sh
+++ b/targets/stage2/preclean-chroot.sh
@@ -11,15 +11,15 @@ cleanup_stages
if [ -n "${clst_CCACHE}" ]
then
- run_merge -C dev-util/ccache || exit 1
+ run_merge -C dev-util/ccache
fi
if [ -n "${clst_DISTCC}" ]
then
- run_merge -C sys-devel/distcc || exit 1
+ run_merge -C sys-devel/distcc
fi
if [ -n "${clst_ICECREAM}" ]
then
- run_merge -C sys-devel/icecream || exit 1
+ run_merge -C sys-devel/icecream
fi
diff --git a/targets/stage3/preclean-chroot.sh b/targets/stage3/preclean-chroot.sh
index 33a700a6..1d801572 100755
--- a/targets/stage3/preclean-chroot.sh
+++ b/targets/stage3/preclean-chroot.sh
@@ -13,11 +13,11 @@ if [ -n "${clst_DISTCC}" ]
then
portageq has_version / sys-devel/distcc
if [ $? == 0 ]; then
- run_merge -C sys-devel/distcc || exit 1
+ run_merge -C sys-devel/distcc
fi
fi
if [ -n "${clst_ICECREAM}" ]
then
- run_merge -C sys-devel/icecream || exit 1
+ run_merge -C sys-devel/icecream
fi
diff --git a/targets/support/chroot-functions.sh b/targets/support/chroot-functions.sh
index b7969607..488041fe 100755
--- a/targets/support/chroot-functions.sh
+++ b/targets/support/chroot-functions.sh
@@ -83,7 +83,7 @@ setup_features() {
if [ -n "${clst_CCACHE}" ]
then
features+=(ccache)
- clst_root_path=/ run_merge --oneshot --noreplace dev-util/ccache || exit 1
+ clst_root_path=/ run_merge --oneshot --noreplace dev-util/ccache
fi
if [ -n "${clst_DISTCC}" ]
@@ -98,9 +98,9 @@ setup_features() {
# reinstall if it isn't found.
if [ "$(getent passwd distcc | cut -d: -f1)" != "distcc" ]
then
- clst_root_path=/ run_merge --oneshot sys-devel/distcc || exit 1
+ clst_root_path=/ run_merge --oneshot sys-devel/distcc
else
- clst_root_path=/ run_merge --oneshot --noreplace sys-devel/distcc || exit 1
+ clst_root_path=/ run_merge --oneshot --noreplace sys-devel/distcc
fi
sed -i '/USE="${USE} -avahi -gtk -gnome"/d' ${clst_make_conf}
mkdir -p /etc/distcc
@@ -119,7 +119,7 @@ setup_features() {
if [ -n "${clst_ICECREAM}" ]
then
- clst_root_path=/ run_merge --oneshot --noreplace sys-devel/icecream || exit 1
+ clst_root_path=/ run_merge --oneshot --noreplace sys-devel/icecream
# This sets up automatic cross-icecc-fu according to
# http://www.gentoo-wiki.info/HOWTO_Setup_An_ICECREAM_Compile_Cluster
diff --git a/targets/support/kmerge.sh b/targets/support/kmerge.sh
index e92072bb..3629be57 100755
--- a/targets/support/kmerge.sh
+++ b/targets/support/kmerge.sh
@@ -212,7 +212,7 @@ then
# install dependencies of kernel sources ahead of time in case
# package.provided generated below causes them not to be (re)installed
- PKGDIR=${PKGDIR} run_merge --onlydeps "${clst_ksource}" || exit 1
+ PKGDIR=${PKGDIR} run_merge --onlydeps "${clst_ksource}"
# Create the kerncache directory if it doesn't exists
mkdir -p /tmp/kerncache/${clst_kname}
@@ -236,7 +236,7 @@ then
[ -L /usr/src/linux ] && rm -f /usr/src/linux
- PKGDIR=${PKGDIR} run_merge "${clst_ksource}" || exit 1
+ PKGDIR=${PKGDIR} run_merge "${clst_ksource}"
SOURCESDIR="/tmp/kerncache/${clst_kname}/sources"
if [ -L /usr/src/linux ]
@@ -269,7 +269,7 @@ then
fi
else
- run_merge "${clst_ksource}" || exit 1
+ run_merge "${clst_ksource}"
#ensure that there is a /usr/src/linux symlink and it points to the sources we just installed
echo "Adjusting /usr/src/linux to point to \
$(portageq contents / $(portageq best_visible / "${clst_ksource}" 2>/dev/null) 2>/dev/null | grep --color=never '/usr/src/' | head -n1 2>/dev/null)"
--
2.26.2
next prev parent reply other threads:[~2020-05-16 6:53 UTC|newest]
Thread overview: 13+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-16 6:53 [gentoo-catalyst] [PATCH 1/9] targets: Remove clst_my* prefix Matt Turner
2020-05-16 6:53 ` [gentoo-catalyst] [PATCH 2/9] targets: Make features variable local Matt Turner
2020-05-16 19:10 ` Brian Dolbec
2020-05-16 6:53 ` [gentoo-catalyst] [PATCH 3/9] targets: Use arrays rather than string concatenation Matt Turner
2020-05-16 6:53 ` [gentoo-catalyst] [PATCH 4/9] targets: Drop duplicate FEATURES=-news Matt Turner
2020-05-16 6:53 ` [gentoo-catalyst] [PATCH 5/9] targets: Don't unnecessarily override emerge_opts Matt Turner
2020-05-16 6:53 ` Matt Turner [this message]
2020-05-16 6:53 ` [gentoo-catalyst] [PATCH 7/9] targets: Decouple distfile fetching from binary packages Matt Turner
2020-05-16 6:53 ` [gentoo-catalyst] [PATCH 8/9] catalyst: Remove remnants of options="preserve_libs" Matt Turner
2020-05-16 19:16 ` Brian Dolbec
2020-05-16 6:53 ` [gentoo-catalyst] [PATCH 9/9] catalyst: Remove fbsplash support Matt Turner
2020-05-16 19:20 ` Brian Dolbec
2020-05-16 19:01 ` [gentoo-catalyst] [PATCH 1/9] targets: Remove clst_my* prefix Brian Dolbec
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20200516065317.2678080-6-mattst88@gentoo.org \
--to=mattst88@gentoo.org \
--cc=gentoo-catalyst@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox